DWFILTER(1)

NAME
dwfilter - reformat text with dwdiff for further processing

SYNOPSIS
dwfilter [OPTIONS] OLD FILE NEW FILE POST PROCESSOR [POST PROCESSOR OPTIONS]

DESCRIPTION
dwfilter reformats the text in the old file according to the contents of the new file (or vice versa) and subsequently passes the reformated old file and the new file through a secondary filter. It's main use is to allow visual diff programs such as meld and kdiff3 to be used, even though a text file has been reformated after editing. A further use is to allow the creation of small patches even when the new text has been reformated. dwfilter uses dwdiff for reformatting.

OPTIONS

-r, --reverse
    Reformat the new file based on the contents of the old file instead of the default where the old file is reformated based on the contents of the new file.

dwfilter accepts the following dwdiff options:

    -d delimiters, --delimiters=delimiters
    -P, --punctuation
    -W whitespace, --white-space=whitespace
    -i, --ignore-case
    -I, --ignore-formatting
    -D option, --diff-option=option
    -Cnum, --context=num
    -mnum, --match-context=num
    --aggregate-changes
    --wdiff-output
    -A algorithm, --algorithm=algorithm
    --profile=name, --no-profile

See the dwdiff manual page for the meaning.

A single dash (-) as a file can be used to denote standard input. Only one file can be read from standard input. To stop dwfilter from interpreting file names that start with a dash as options, one can specify a double dash (--) after which dwfilter will interpret any following arguments as files to read.

BUGS
If you think you have found a bug, please check that you are using the latest version of dwdiff <http://os.ghalkes.nl/dwdiff.html>. When reporting bugs, please include a minimal example that demonstrates the problem.

AUTHOR
G.P. Halkes <dwdiff@ghalkes.nl>

COPYRIGHT
Copyright © 2006-2010 G.P. Halkes
dwdiff is licensed under the GNU General Public License version 3.
For more details on the license, see the file COPYING in the documentation directory. On Un*x systems this is usually /usr/share/doc/dwdiff-$VERSION$.

SEE ALSO
dwdiff(1), diff(1), meld(1), kdiff3(1)